Skip to:
Content
Pages
Categories
Search
Top
Bottom

Upgrading Buddypress – is it easy?

  • Avatar of Thebigk
    thebigk
    Participant

    @thebigk

    Hi,

    I’m in the process of setting my college alumni website using current version of buddypress. I wish to know how easy it will be to upgrade the site once buddy press is released (gold version).

    Is there any documentation available?

Viewing 6 replies - 1 through 6 (of 6 total)
  • Not really.

    Pull a copy from the SVN – either the trunk, or a particular tag. Then to update in future, you can just use “svn update” basically.

    Avatar of Nicola Greco
    nicolagreco
    Participant

    @nicolagreco

    wait for the rc2 release :) or if you can to the stable one,

    or if you would like to try, back up your files and upgrade

    Avatar of Ben (oldskoo1)
    oldskoo1
    Participant

    @oldskoo1

    Yea its pretty easier, as Paul said, just upload the files and replace them. Normally you can leave the templates alone.

    However if your going from RC1 to SVN trunk then you need the new templates too. Its like this because this software is still in beta and things change for the better.

    But normally with templates you just need to update the functions and header.php files (although don\’t rely on my advice)… just change them all and make sure any mods are made in custom.css and images are in a custom folder :)

    But when v1 is ready you can update via the admin interface.

    As Nicola said always make a backup first, i like to make a duplicate copy of my public_html / www folder.

    Avatar of Thebigk
    thebigk
    Participant

    @thebigk

    I’m using all the default templates. I’ve manually upgraded wordpress before; but wasn’t very sure of the buddypress upgrade.

    So let’s say I setup a site using current version (I guess its RC1?) and later Version 1.0 is release, all I’ll have to do is 1. Backup the old files & database 2. Upload the new files overwriting the older ones 3. Done.

    Right?

    Avatar of Andy Peatling
    Andy Peatling
    Keymaster

    @apeatling

    If you are just using the default templates you will just be able to overwrite everything from RC-1 to RC-2 and then the same for 1.0 shortly after.

    Using other themes from the default or your own theme will require some tweaking going from RC-1 upwards, but this is only because we are currently pre 1.0 and there are some last minute improvements.

    Avatar of Thebigk
    thebigk
    Participant

    @thebigk

    That’s great, Andy. I’m sticking with the default templates.

    PS: I used to visit your ‘Blaze New Media’ blog. I guess you don’t update it anymore.

Viewing 6 replies - 1 through 6 (of 6 total)

You must be logged in to reply to this topic.